/**
 * JS Document.
 * @author Sandro Jordão.
 */

function gravar()
{
	$.post(basepath + 'principal/verificarLogado', 
		function(logado) {
			if(logado == 0)
			{
				//
				var nome 		= $("#txtNome").val();
				var descricao 	= $("#txtDescricao").val();
				var grupo 	    = $('#grupo').val();
				var refresh 	= $("#listaTimeRefresh").val();
				var file_report = $('#visualizarPreview').val();
				var visivel   	= $("input[name='rdoDisponivel']:radio:checked").val();
				var sistema   	= $("input[name='rdoSistema']:radio:checked").val();
				var borda	    = ($("#exibirBorda").is(':checked')) ? 'S' : 'N';
				
				var groupArray = new Array();
				$(".groups").each(function(){ groupArray.push($(this).val()); });
				var usersArray = new Array();
				$(".users").each(function(){ usersArray.push($(this).val()); });

				if (file_report != 1)
				{
					jAlert('Não foi encontrado o arquivo <em>index.php</em>!', 'Alerta!');
					return false;
				}

				$('.msgErro').remove();
				var erro = 0;
				
				if(nome == '')
				{
					$('#txtNome').after("<span class='msgErro'> Campo de preenchimento obrigatório. </span>");
					erro++;
				}
				
				if(grupo == '') {
					$('#grupo').after("<span class='msgErro'> Campo de preenchimento obrigatório. </span>");
					erro++;
				}
	
				if (erro == 0)
				{
					$.post(basepath + "personal_reports/gravaPr", {
						nome 	  	   : nome,
						descricao 	   : descricao,
						refresh   	   : refresh,
						borda		   : borda,
						grupo		   : grupo,
						visivel		   : visivel,
						sistema		   : sistema,
						'groupArray[]' : groupArray,
						'usersArray[]' : usersArray
					}, function(data){
						if(data == 1) {
							jAlert('O Relatorio Personalizado foi importado com sucesso!', 'Alerta!', function() { window.location.href = basepath + 'personal_reports/pr'; });
						} else {
							jAlert('Ocorreu um erro:\n ' + data, 'Alerta!');
						}
					});
				}
				else
				{
					jAlert('Favor preencher todos os campos corretamente.', 'Alerta!');
				}
				//
			}
			else
			{
				window.location.href = basepath + 'principal/' + logado;
			}
		});
}

function alterarBD()
{
	$.post(basepath + 'principal/verificarLogado', 
		function(logado) {
			if(logado == 0)
			{
				// 
				var relatorioid = $("#txtRelatorioID").val();
				var nome 		= $("#txtNome").val();
				var descricao 	= $("#txtDescricao").val();
				var refresh 	= $("#listaTimeRefresh").val();
				var grupo 	    = $('#grupo').val();
				var visivel   	= $("input[name='rdoDisponivel']:radio:checked").val();
				var sistema   	= $("input[name='rdoSistema']:radio:checked").val();
				var file_report = $('#visualizarPreview').val();
				var borda	    = ($("#exibirBorda").is(':checked')) ? 'S' : 'N';
				
				var groupArray = new Array();
				$(".groups").each(function(){ groupArray.push($(this).val()); });
				var usersArray = new Array();
				$(".users").each(function(){ usersArray.push($(this).val()); });
				
				if (file_report != 1)
				{
					jAlert('Importe o arquivo index.php!', 'Alerta!');
					return false;
				}
				
				$('.msgErro').remove();
				var erro = 0;
				
				if(nome == '')
				{
					$('#txtNome').after("<span class='msgErro'> Campo de preenchimento obrigatório. </span>");
					erro++;
				}
				
				if(grupo == '') {
					$('#grupo').after("<span class='msgErro'>Campo de preenchimento obrigatório.</span>");
					erro++;
				}
				
				if (erro == 0)
				{
					$.post(basepath + "personal_reports/alterarPrBD", {
						relatorioid    : relatorioid,
						nome 	       : nome,
						descricao 	   : descricao,
						refresh 	   : refresh,
						borda		   : borda,
						grupo		   : grupo,
						visivel		   : visivel,
						sistema		   : sistema,
						'groupArray[]' : groupArray,
						'usersArray[]' : usersArray
					}, function(data){
						if(data == 1){
							jAlert('Relatorio Personalizado alterado com sucesso!', 'Alerta!', function() { window.location.href = basepath + 'personal_reports/pr'; });
						} else {
							jAlert('Ocorreu um erro:\n ' + data, 'Alerta!');
						}
					});
				}
				else
				{
					jAlert('Favor preencher todos os campos corretamente.', 'Alerta!');
				}
				//
			}
			else
			{
				window.location.href = basepath + 'principal/' + logado;
			}
		});
}

function incluir()
{
    window.location.href = basepath + 'personal_reports/cadpr';
}

function alterar()
{
    var pr = $('#gridPr').jqGrid('getGridParam', 'selrow');

    if(pr) {
        window.location.href = basepath + 'personal_reports/alterarpr/' + pr;
    } else {
        jAlert('Selecionar um Relatório para alteração!', 'Alerta!', function() { return false; });
    }
}

function excluir()
{
    var pr = $('#gridPr').jqGrid('getGridParam','selrow');
    
    if(pr)
    {
		var usuarioMaster = $('#usuarioMaster').val();
		var relatorioSistema = $('#gridPr').getCell(pr, 'SISTEMA');
	
		if(relatorioSistema == 'S' && usuarioMaster == 'N')
		{
			jAlert('O relatório selecionado não pode ser excluido!', 'Alerta!', function() { return false; });
		}
		else
		{
			$.post(basepath + 'principal/verificarLogado', 
				function(logado) {
					if(logado == 0)
					{
						//
						jConfirm("Deseja realmente excluir o Relatório Personalizado?", 'Confirmação!',
						function(r) {
							if (r == true)
							{
								$.post(basepath + "personal_reports/excluirpr", {
									pr  : pr
								}, function(data){
									if(data == 1)
									{
										$("#gridPr").trigger("reloadGrid");
										
										jAlert('Relatório Personalizado excluído com sucesso!', 'Alerta!');
									}
									else jAlert('Ocorreu um erro:\n ' + data, 'Alerta de erro!');
								});
							}
							else
							{
								return false;
							}
						});
						//
					}
					else
					{
						window.location.href = basepath + 'principal/' + logado;
					}
				});
		}
    }
    else
    {
        jAlert('Selecionar um Relatório Personalizado para exclusão!', 'Alerta!', function() { return false; });
    }
}

function preview()
{
	var jWidth = (pageWidth - 100);
	var jHeight = (pageHeight - 100);
	var jTop = 40;
	var jLeft = 40;
	
	$.post(basepath + "personal_reports/preview", {
		width : (jWidth - 30),
		height : (jHeight - 120)
	}, function(data){
	
		$("#janela_modal").html('');
		$("#overlay").html('');
		
		var overlay = '<div id="overlay"></div>';
		var overlayCSS = {'width' : pageWidth + 'px','height' : pageHeight + 'px'};
		
		var janela = '<div id="janela_modal"></div>';
		var janelaCSS = {'position' : 'absolute' , 'width' : jWidth + 'px' , 'height' : jHeight + 'px' , 'top' : jTop + 'px' , 'left' : jLeft + 'px' , 'overflow' : 'scroll'};
		
		var btnFechar = '<a onClick="fechar()"><img id="btnFechar" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" /></a>';
		var btnFecharCSS = {'position' : 'absolute' , 'top' : '3px' , 'right' : '3px' , 'cursor' : 'pointer' , 'margin-top' : '0'}
		
		var h2 = '<h2 class="h2"> Pr&eacute; Visualiza&ccedil;&atilde;o do Relat&oacute;rio Personalizado </h1>';
		var linha = '<img src="' + basepath + 'www/imagem/hr_modal.png">';
		
		$("body").append(overlay);
		$("body").append(janela);
		
		$("#overlay").css(overlayCSS).fadeIn('fast', function() {
			$("#janela_modal").append(h2 + linha + data);
			
			$("#janela_modal").append(btnFechar);
			$("#btnFechar").css(btnFecharCSS).fadeIn("slow");

			$("#janela_modal").css(janelaCSS).fadeIn("slow");
			
			$(".groups").each(function(){ $("#group" + this.id).parent().parent().remove(); });
			
			$('#procurarGrupo').keyup(procurarGrupo);
		});
		
		return false;
	});
}

/*
function erroPreview()
{
    jAlert('\n Sem o arquivo index.php o relatório não poderá ser mostrado.','Alerta!');
}
*/

function trocar()
{
    var aba = this.id;
    
    tabs.removeClass('inDetail');
    $(tabs[aba]).addClass('inDetail');
        
    divs.hide();
    $(divs[aba]).fadeIn('slow');
}

function selecionarFile()
{
	$("#arquivo").click();
}

function desabilitaRemoverArquivo()
{
	var count = 0;
	$(".arquivos:checked").each(function(){ count++; });
	if(count == 0) 
		$("#removerArquivos").attr("disabled", true); 
	else
		$("#removerArquivos").removeAttr("disabled");
}

function deleteArquivos()
{
	$(".arquivos:checked").each(function(){ 
        $.ajax({
            type: 'GET',
            data: {arquivo: $(this).val()},
            url: basepath + 'personal_reports/apagararquivos',
            beforeSend: function () {
				$("#carregando").html('<img src="' + basepath + 'www/imagem/loading.gif" align="Absmiddle" alt="Carregando arquivo..."/> <em>Aguarde, processando...</em>');
				
            },
            success: function(retorno) {
                $('#listar').load(basepath + 'personal_reports/diretorio', function() {
                    $('#carregando').empty();
                    $('#listar').html();
					
					desabilitaRemoverArquivo();
                });
            }
        })
	})
}

function tipoRefresh()
{
	var visivel = $("input[name='rdoDisponivel']:radio:checked").val();
	
	if(visivel == 3)
	{
		// Esconde
		$("#lblRefresh, #comboRefresh, #trExibirBorda").fadeOut('fast');
		
		// Tempo de Atualização
		$("#listaTimeRefresh").val(0);
		
		// Borda no Relatório
		$("#exibirBorda").attr("checked", false);
	} 
	else 
	{
		// Mostra
		$("#lblRefresh, #comboRefresh, #trExibirBorda").fadeIn('show');
	}
}

function desabilitarRelatorio()
{
	if( $("#desabilitarRelatorio").length > 0 )
	{
		var desabilitar = $("#desabilitarRelatorio").val();
		
		if(desabilitar == 1)
		{
			$("#txtNome, #txtDescricao, #grupo, #rdoSistemaS, #rdoSistemaN, #rdoVisivelS, #rdoVisivelN, #listaTimeRefresh").attr('disabled', true);
			
			$(".tablePropriedades label").css('color','#777');

			$(".checkbox").attr('disabled', true);
			
			$(".tbUsersList label").css('color','#888'); 

			$("#divArquivos .btnCadastros").attr('disabled', true);
		}
		else
		{
			return false;
		}
	}
	else
	{
		return false;
	}
}

function init()
{
    pageWidth = $(window).width();
    pageHeight = $(window).height();
    
    tabs = $(".tabsDetail").children('ul').children();
    divs = $(".tabsDetail").children('div');
    $(".abaTrocar").click(trocar);

    var count = 0;
    $("#comboDashboard option").each(function() { count++ });
    if(count < 2) {
        $("#existeDashboard").attr("disabled", true);
        $("#comboDashboard, #lblExisteDashboard").css({'color' : '#999'});
    }
	
	var pathPersonalizado = basepath + "personal_reports/pr";
	$('#menuContentLeft a').each(function() {
		if(pathPersonalizado == $(this).attr("href")) {
			$(this).css({'color' : '#4084b8', 'font-weight' : 'bold', 'font-style' : 'italic'});
		}
	});
/*	
	$(document).ready(function() {
		$('#listar').load(basepath + 'personal_reports/diretorio', function() {
			$('#listar').html();
			desabilitarRelatorio();
		});
		
		//#arquivo é o id do input, ao alterar o conteudo do input execurará a função baixo
		$('#arquivo').change('change',function() {
			$('#carregando').html('<img src="' + basepath + 'www/imagem/ajax-loader.gif" alt="Enviando..."/> Enviando...');
			//Efetua o Upload sem dar refresh na pagina
			$('#formulario').ajaxForm({
				target:'#listar' // o callback será no elemento com o id #listar
			}).submit(),
			$('#listar').load(basepath + 'personal_reports/diretorio', function() {
				$('#carregando').empty();
				$('#listar').html();
			});
		});
	});	
*/	
}

function voltar()
{
    window.location.href = basepath + 'personal_reports/pr';
}

function DisableBackButton() 
{
    window.history.forward()
}

DisableBackButton();
window.onload = DisableBackButton;
window.onpageshow = function(evt) { if (evt.persisted) DisableBackButton() }
window.onunload = function() { void (0) }

$(document).ready(init);
